Bug 119568 - (fc-overloaded-server) up2date hangs after failed CRC check
up2date hangs after failed CRC check
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
: 116658 116749 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-31 09:08 EST by Philipp Berndt
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 08:43:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Berndt 2004-03-31 09:08:44 EST
Description of problem:
up2date hangs after failed CRC check

Version-Release number of selected component (if applicable):
up2date-4.3.11-2.1.1

How reproducible:

Steps to Reproduce:
1. install FC2 test2
2. run up2date-config
3. run up2date
4. channel fedora-core-rawhide, >Forward
5. don't select any skipped pkg (kernel updates), >Forward
6. select all available updates, >Forward
   (size is 0 kB for all packages, total size is 83 kB ???)

Actual results:
After a while progress dialog hangs with
"Testing package set / solving RPM inter-dependencies"

Additional info: konsole output

[root@deepthought root]# up2date &
[1] 8221
[root@deepthought root]# http://fedora.redhat.
com/download/up2date-mirrors/fedora-core-rawhide
using mirror: http://download.fedora.redhat.
com/pub/fedora/linux/core/development/i386/
/usr/share/rhn/up2date_client/checklist.py:139: DeprecationWarning: 
integer argument expected, got float
  info  = self.get_selection_info (event.x, event.y)
Traceback (most recent call last):
  File "/usr/share/rhn/up2date_client/gui.py", line 1671, in 
onPackagePageNext
    ret = self.__packagePageDryRun()
  File "/usr/share/rhn/up2date_client/gui.py", line 1599, in 
__packagePageDryRun
    self.__refreshCallback)
  File "/usr/share/rhn/up2date_client/up2date.py", line 387, in 
dryRun
    ret = depsolve.solvedep()
  File "/usr/share/rhn/up2date_client/depSolver.py", line 716, in 
solvedep
    ret = self.process_deps(deps)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 683, in 
process_deps
    changed = self.__dependencies(dependencies)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 475, in 
__dependencies
    refreshCallback = self.refreshCallback)
  File "/usr/share/rhn/up2date_client/depSolver.py", line 93, in 
solveDep
    ret = source.solveDep(unknowns, availList, refreshCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.
py", line 40, in solveDep
    self.getSolutions(unknowns)
  File "/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.
py", line 235, in getSolutions
    hdr = self.getHeader(pkg)
  File "/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.
py", line 217, in getHeader
    progressCallback = progressCallback)
  File "/usr/share/rhn/up2date_client/rpcServer.py", line 112, in 
doCall
    ret = apply(method, args, kwargs)
  File "/usr/share/rhn/up2date_client/repoDirector.py", line 31, in 
getHeader
    return self.handlers[channel['type']].getHeader(pkg, msgCallback, 
progressCallback)
  File "/usr/share/rhn/up2date_client/rpmSource.py", line 210, in 
getHeader
    header = source.getHeader(pkg, progressCallback = 
progressCallback)
  File "/usr/share/rhn/up2date_client/repoBackends/yumRepo.py", line 
93, in getHeader
    hdrBuf = fh.read()
  File "/usr/lib/python2.3/gzip.py", line 217, in read
    self._read(readsize)
  File "/usr/lib/python2.3/gzip.py", line 272, in _read
    self._read_eof()
  File "/usr/lib/python2.3/gzip.py", line 308, in _read_eof
    raise IOError, "CRC check failed"
IOError: CRC check failed
Comment 1 Adrian Likins 2004-04-07 16:22:09 EDT
Incomplete reads from an overloaded server. 

At some point, all the networking related code will
be rewritten to expect the servers to server up garbage
most of the time and try to cope. The current code
naively assumes that downloads will finish, the content
lenghts will be correct, connections wont be randomly
shut down, and that the file contents will be okay.

At some point in the future, a more robust version
of the network related code will land. 
Comment 2 Adrian Likins 2004-04-07 16:51:37 EDT
*** Bug 116749 has been marked as a duplicate of this bug. ***
Comment 3 Adrian Likins 2004-04-07 17:04:17 EDT
*** Bug 116658 has been marked as a duplicate of this bug. ***
Comment 4 John Thacker 2006-10-29 08:43:26 EST
Note that FC2 is no longer supported even by Fedora Legacy.  Also, up2date has
been replaced by pirut and pup since FC5.  FC3 and FC4 are supported by Fedora
Legacy for security issues only.  If this still occurs on FC3 or FC4 and is a
security issue, please reopen and assign to that version and Fedora Legacy.  If
it occurs on RHEL 3 or 4, please reassign or refile against that product.

The codebase for pirut and pup is quite different, so existing bugs do not
apply, but please continue testing them on the still supported versions of
Fedora Core and file bugs as necessary.

Note You need to log in before you can comment on or make changes to this bug.